class AdvicesController < ApplicationController

  load_and_authorize_resource

 
  def show
		@question  = Question.find(params[:question_id])
		@treatment = @question.treatment
    @advice = @question.advices.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @advice }
    end
  end

  # GET /advices/new
  # GET /advices/new.xml
  def new
		@question  = Question.find(params[:question_id])
		@treatment = @question.treatment
    @advice = Advice.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @advice }
    end
  end

  # GET /advices/1/edit
  def edit
		@question  = Question.find(params[:question_id])
		@treatment = @question.treatment
    @advice = @question.advices.find(params[:id])
  end

  # POST /advices
  # POST /advices.xml
  def create
		@question  = Question.find(params[:question_id])
		@treatment = @question.treatment
    @advice = Advice.new(params[:advice])
		@advice.question_id = @question.id

    respond_to do |format|
      if @advice.save
        format.html { redirect_to(question_advice_path(@question,@advice), :notice => 'Advice was successfully created.') }
        format.xml  { render :xml => @advice, :status => :created, :location => @advice }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @advice.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /advices/1
  # PUT /advices/1.xml
  def update
		@question  = Question.find(params[:question_id])
		@treatment = @question.treatment
    @advice = @question.advices.find(params[:id])
		@advice.question_id = @question.id
    respond_to do |format|
      if @advice.update_attributes(params[:advice])
        format.html { redirect_to(question_advice_path(@question,@advice), :notice => 'Advice was successfully updated.') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @advice.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /advices/1
  # DELETE /advices/1.xml
  def destroy
		@question  = Question.find(params[:question_id])
		@treatment = @question.treatment
    @advice = @question.advices.find(params[:id])
    @advice.destroy

    respond_to do |format|
      format.html { redirect_to(treatment_questions_path(@treatment)) }
      format.xml  { head :ok }
    end
  end
end

