class DiseasesController < ApplicationController

  load_and_authorize_resource

  def index
		@treatment = Treatment.find(params[:treatment_id])
    @diseases = @treatment.diseases

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @diseases }
    end
  end

  # GET /diseases/1
  # GET /diseases/1.xmlr
  def show
		@treatment = Treatment.find(params[:treatment_id])
    @disease = @treatment.diseases.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @disease }
    end
  end

  # GET /diseases/new
  # GET /diseases/new.xml
  def new
		@treatment = Treatment.find(params[:treatment_id])
    @disease = Disease.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @disease }
    end
  end

  # GET /diseases/1/edit
  def edit
		@treatment = Treatment.find(params[:treatment_id])
    @disease = @treatment.diseases.find(params[:id])
  end

  # POST /diseases
  # POST /diseases.xml
  def create
		@treatment = Treatment.find(params[:treatment_id])
    @disease = Disease.new(params[:disease])
    @disease.treatment_id = @treatment.id
    respond_to do |format|
      if @disease.save
        format.html { redirect_to(treatment_disease_path(@treatment,@disease), :notice => 'Disease was successfully created.') }
        format.xml  { render :xml => @disease, :status => :created, :location => @disease }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @disease.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /diseases/1
  # PUT /diseases/1.xml
  def update
		@treatment = Treatment.find(params[:treatment_id])
    @disease = @treatment.diseases.find(params[:id])
    @disease.treatment_id = @treatment.id

    respond_to do |format|
      if @disease.update_attributes(params[:disease])
        format.html { redirect_to(treatment_disease_path(@treatment,@disease), :notice => 'Disease was successfully updated.') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @disease.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /diseases/1
  # DELETE /diseases/1.xml
  def destroy
		@treatment = Treatment.find(params[:treatment_id])
    @disease = @treatment.diseases.find(params[:id])
    @disease.destroy

    respond_to do |format|
      format.html { redirect_to(treatment_diseases_path(@treatment)) }
      format.xml  { head :ok }
    end
  end
end
