class NotesController < ApplicationController

  load_and_authorize_resource

  def index
		@disease = Disease.find(params[:disease_id])
		@treatment = @disease.treatment
    @notes = @disease.notes

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @notes }
    end
  end

  # GET /notes/1
  # GET /notes/1.xml
  def show
		@disease = Disease.find(params[:disease_id])
    @note = @disease.notes.find(params[:id])
		@treatment = @disease.treatment
    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @note }
    end
  end

  # GET /notes/new
  # GET /notes/new.xml
  def new
		@disease = Disease.find(params[:disease_id])
    @note = Note.new
		@treatment = @disease.treatment
    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @note }
    end
  end

  # GET /notes/1/edit
  def edit
		@disease = Disease.find(params[:disease_id])
    @note = @disease.notes.find(params[:id])
		@treatment = @disease.treatment
  end

  # POST /notes
  # POST /notes.xml
  def create
		@disease = Disease.find(params[:disease_id])
    @note = Note.new(params[:note])
		@note.disease_id = @disease.id
		@treatment = @disease.treatment

    respond_to do |format|
      if @note.save
        format.html { redirect_to(disease_note_path(@disease,@note), :notice => 'Note was successfully created.') }
        format.xml  { render :xml => @note, :status => :created, :location => @note }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @note.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /notes/1
  # PUT /notes/1.xml
  def update

		@disease = Disease.find(params[:disease_id])
    @note = @disease.notes.find(params[:id])
		@note.disease_id = @disease.id
		@treatment = @disease.treatment

    respond_to do |format|
      if @note.update_attributes(params[:note])
        format.html { redirect_to(disease_note_path(@disease,@note), :notice => 'Note was successfully updated.') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @note.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /notes/1
  # DELETE /notes/1.xml
  def destroy
		@disease = Disease.find(params[:disease_id])
    @note = @disease.notes.find(params[:id])
    @note.destroy
		@treatment = @disease.treatment

    respond_to do |format|
      format.html { redirect_to(treatment_diseases_path(@treatment)) }
      format.xml  { head :ok }
    end
  end
end
