class QuestionsController < ApplicationController

  load_and_authorize_resource

  def index
		@treatment = Treatment.find(params[:treatment_id])
    @questions = @treatment.questions

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @questions }
    end
  end

  # GET /questions/1
  # GET /questions/1.xml
  def show
		@treatment = Treatment.find(params[:treatment_id])
    @question = @treatment.questions.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @question }
    end
  end

  # GET /questions/new
  # GET /questions/new.xml
  def new
		@treatment = Treatment.find(params[:treatment_id])
    @question = Question.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @question }
    end
  end

  # GET /questions/1/edit
  def edit
		@treatment = Treatment.find(params[:treatment_id])
    @question = @treatment.questions.find(params[:id])
  end

  # POST /questions
  # POST /questions.xml
  def create
		@treatment = Treatment.find(params[:treatment_id])
    @question = Question.new(params[:question])
    @question.treatment_id = @treatment.id

    respond_to do |format|
      if @question.save
        format.html { redirect_to(treatment_question_path(@treatment,@question), :notice => 'Question was successfully created.') }
        format.xml  { render :xml => @question, :status => :created, :location => @question }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @question.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /questions/1
  # PUT /questions/1.xml
  def update
		@treatment = Treatment.find(params[:treatment_id])
    @question = @treatment.questions.find(params[:id])

    respond_to do |format|
      if @question.update_attributes(params[:question])
        format.html { redirect_to(treatment_question_path(@treatment,@question), :notice => 'Question was successfully updated.') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @question.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /questions/1
  # DELETE /questions/1.xml
  def destroy
		@treatment = Treatment.find(params[:treatment_id])
    @question = @treatment.questions.find(params[:id])
    @question.destroy

    respond_to do |format|
      format.html { redirect_to(treatment_questions_path(@treatment)) }
      format.xml  { head :ok }
    end
  end
end
