class User < ActiveRecord::Base
  # Include default devise modules. Others available are:
  # :token_authenticatable, :encryptable, :confirmable, :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :trackable, :validatable

  # Setup accessible (or protected) attributes for your model
  attr_accessible :email, :password, :password_confirmation, :remember_me, :name, :role, :specialization_id, :cv
  has_many :treatments
  has_many :doctors, :through => :treatments

  has_many :inverse_treatments, :class_name => "Treatment", :foreign_key => "doctor_id"  
  has_many :inverse_doctors, :through => :inverse_treatments, :source => :user

	belongs_to :specialization
 
  named_scope :doctors, :conditions => ["role = ?", "doctor"]
  named_scope :patients, :conditions => ["role = ?", "patient"]
 


	def admin?
		role == "admin"
	end

	def patient?
		role == "patient"
	end

	def doctor?
		role == "doctor"
	end

end
